<?php

/*
  Plugin Name: Custom Styles
  Plugin URI: http://www.speckygeek.com
  Description: Add custom styles in your posts and pages content using TinyMCE WYSIWYG editor. The plugin adds a Styles dropdown menu in the visual post editor.
  Based on TinyMCE Kit plug-in for WordPress
  http://plugins.svn.wordpress.org/tinymce-advanced/branches/tinymce-kit/tinymce-kit.php
 */
/**
 * Apply styles to the visual editor
 */
add_filter('mce_css', 'tuts_mcekit_editor_style');

function tuts_mcekit_editor_style($url) {

    if (!empty($url))
        $url .= ',';

    // Retrieves the plugin directory URL
    // Change the path here if using different directories
    $url .= trailingslashit(plugin_dir_url(__FILE__)) . '/editor-styles.css';

    return $url;
}

/**
 * Add "Styles" drop-down
 */
add_filter('mce_buttons_2', 'tuts_mce_editor_buttons');

function tuts_mce_editor_buttons($buttons) {
    array_unshift($buttons, 'styleselect');
    return $buttons;
}

/**
 * Add styles/classes to the "Styles" drop-down
 */
add_filter('tiny_mce_before_init', 'tuts_mce_before_init');

function tuts_mce_before_init($settings) {

    $style_formats = array(
        array(
            'title' => 'Bouton',
            'selector' => 'a',
            'classes' => 'btn'
        ),
        array(
            'title' => 'Offre promo',
            'selector' => 'p',
            'classes' => 'custom-offre-promo'
        ),
        array(
            'title' => 'Prix',
            'selector' => 'p',
            'classes' => 'custom-prix'
        ),
        array(
            'title' => 'Fond gris',
            'selector' => 'p',
            'classes' => 'bloc-gris'
        )
    );

    $settings['style_formats'] = json_encode($style_formats);

    return $settings;
}

/* Learn TinyMCE style format options at http://www.tinymce.com/wiki.php/Configuration:formats */

/*
 * Add custom stylesheet to the website front-end with hook 'wp_enqueue_scripts'
 */
add_action('wp_enqueue_scripts', 'tuts_mcekit_editor_enqueue');

/*
 * Enqueue stylesheet, if it exists.
 */

function my_mce4_options($init) {
    $custom_colours = '
        "FFFFFF", "Blanc",
        "000000", "Noir",
        "767676", "Gris", 
        "C7C7C7", "Gris Clair",
        "E5E5E5", "Gris Pale",
        "2EAADC", "Bleu",
        "BD0926", "Decorum",
        "A48A77", "Coutan",
        "BC0000", "Verrier",
        "EF8D00", "Chaumet"
	';
    $init['textcolor_map'] = '[' . $custom_colours . ']';
    $init['textcolor_rows'] = 5;
    return $init;
}

add_filter('tiny_mce_before_init', 'my_mce4_options');

function tuts_mcekit_editor_enqueue() {
    $StyleUrl = plugin_dir_url(__FILE__) . 'editor-styles.css'; // Customstyle.css is relative to the current file
    wp_enqueue_style('myCustomStyles', $StyleUrl);
}



?>