<?php

require_once( 'library/bones.php' );
require_once( 'library/admin.php' );
require_once( 'library/shortcodes.php' );

function bones_ahoy() {
    add_editor_style(get_stylesheet_directory_uri() . '/library/css/editor-style.css');
    add_editor_style('//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css');

    load_theme_textdomain('bonestheme', get_template_directory() . '/library/translation');
    add_action('init', 'bones_head_cleanup');
    add_filter('wp_title', 'rw_title', 10, 3);
    add_filter('the_generator', 'bones_rss_version');
    add_filter('wp_head', 'bones_remove_wp_widget_recent_comments_style', 1);
    add_action('wp_head', 'bones_remove_recent_comments_style', 1);
    add_filter('gallery_style', 'bones_gallery_style');
    add_action('wp_enqueue_scripts', 'bones_scripts_and_styles', 999);
    bones_theme_support();
    add_action('widgets_init', 'bones_register_sidebars');
    add_filter('the_content', 'bones_filter_ptags_on_images');
    add_filter('excerpt_more', 'bones_excerpt_more');
}

add_action('after_setup_theme', 'bones_ahoy');
if (!isset($content_width)) {
    $content_width = 680;
}
add_image_size('bones-thumb-600', 600, 150, true);
add_image_size('bones-thumb-300', 300, 100, true);

add_filter('image_size_names_choose', 'bones_custom_image_sizes');

function bones_custom_image_sizes($sizes) {
    return array_merge($sizes, array(
        'bones-thumb-600' => __('600px by 150px'),
        'bones-thumb-300' => __('300px by 100px'),
    ));
}

function bones_theme_customizer($wp_customize) {
    
}

add_action('customize_register', 'bones_theme_customizer');

function options_site(){
    $id = 16;
    return $id;
}

////////////////////////////////////////////////////////////////
// ACTIVE SIDEBARS
////////////////////////////////////////////////////////////////
// Sidebars & Widgetizes Areas
function bones_register_sidebars() {
    
}

////////////////////////////////////////////////////////////////
// CHILD PAGES DISPLAY
////////////////////////////////////////////////////////////////
function wpb_list_child_pages() {
    global $post;
    if (is_page() && $post->post_parent)
        $childpages = wp_list_pages('sort_column=menu_order&title_li=&child_of=' . $post->post_parent . '&echo=0');
    $childpages = wp_list_pages('sort_column=menu_order&title_li=&child_of=' . $post->ID . '&echo=0');
    if ($childpages) {
        $string = '<ul>' . $childpages . '</ul>';
    }
    return $string;
}

add_shortcode('wpb_childpages', 'wpb_list_child_pages');

function custom_excerpt_length($length) {
    return 20;
}

add_filter('excerpt_length', 'custom_excerpt_length', 999);

/* DON'T DELETE THIS CLOSING TAG */
?>
