<!doctype html>

<!--[if lt IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
<!--[if (IE 7)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if (IE 8)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?> class="no-js"><!--<![endif]-->

    <head>
        <meta charset="utf-8">

        <?php // force Internet Explorer to use the latest rendering engine available ?>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">

        <title><?php wp_title(''); ?></title>

        <?php // mobile meta (hooray!) ?>
        <meta name="HandheldFriendly" content="True">
        <meta name="MobileOptimized" content="320">
        <meta name="viewport" content="width=device-width, initial-scale=1"/>

        <?php // icons & favicons (for more: http://www.jonathantneal.com/blog/understand-the-favicon/) ?>
        <link rel="icon" type="image/png" href="<?php echo get_template_directory_uri(); ?>/library/favicon-16x16.png" sizes="16x16">
        <link rel="icon" type="image/png" href="<?php echo get_template_directory_uri(); ?>/library/favicon-32x32.png" sizes="32x32">

        <link rel="apple-touch-icon" sizes="57x57" href="<?php echo get_template_directory_uri(); ?>/library/apple-touch-icon-57x57.png" />
        <link rel="apple-touch-icon" sizes="72x72" href="<?php echo get_template_directory_uri(); ?>/library/apple-touch-icon-72x72.png" />
        <link rel="apple-touch-icon" sizes="114x114" href="<?php echo get_template_directory_uri(); ?>/library/apple-touch-icon-114x114.png" />

        <?php // or, set /favicon.ico for IE10 win ?>
        <meta name="msapplication-TileColor" content="#f01d4f">
        <meta name="theme-color" content="#121212">

        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

        <?php // wordpress head functions ?>
        <?php wp_head(); ?>
        <?php // end of wordpress head ?>

        <?php // drop Google Analytics Here ?>
        <?php // end analytics ?>

    </head>

    <body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">

        <div id="container">

            <header class="header" role="banner" itemscope itemtype="http://schema.org/WPHeader">

                <div class="wrap cf">
                    <div class="inner-wrap cf padding-top-0 padding-bottom-0">

                        <div id="logo" class="col-md-4 col-sm-4 col-xs-12 no-padding cf">
                            <?php
                            $logo_img = get_field('logo_img', options_site());
                            $logo_texte = get_field('logo_texte', options_site());

                            echo ($logo_texte) ? '<a href="' . esc_url(home_url('/')) . '" title="' . $logo_texte . '">' : '';
                            echo '<img src="' . $logo_img['url'] . '" alt="' . $logo_img['alt'] . '" class="img-responsive" />';
                            echo ($logo_texte) ? '</a>' : '';
                            ?>
                        </div>

                        <div class="widget-entete col-md-8 col-sm-8 col-xs-12 no-padding margin-bottom-10 cf">
                            <div class="widget widget-phone">
                                <?php
                                $opt_telephone = get_field('contact_texte', options_site());
                                $opt_telephone_img = get_field('contact_img', options_site());
                                echo ($opt_telephone && $opt_telephone_img) ? '<a class="num-tel" href="tel:' . $opt_telephone . '"><img src="' . $opt_telephone_img['url'] . '" alt="Nous contacter par téléphone" /></a>' : '';
                                ?>
                            </div>
                            <div class="widget widget-espacepro">
                                <?php
                                $espace_pro_verrier = get_field('espace_pro_verrier', options_site());
                                $espace_pro_chaumet = get_field('espace_pro_chaumet', options_site());

                                echo ($espace_pro_verrier) ? '<a href="' . $espace_pro_verrier . '" class="espace_pro_verrier" title="Espace pro VERRIER" target="_blank">Espace pro VERRIER <i class="fa fa-caret-right"></i></a>' : '';
                                echo ($espace_pro_chaumet) ? '<a href="' . $espace_pro_chaumet . '" class="espace_pro_chaumet" title="Espace pro CHAUMET" target="_blank">Espace pro CHAUMET <i class="fa fa-caret-right"></i></a>' : '';
                                ?>
                            </div>
                        </div>

                    </div>
                </div>

                <nav id="menuHeader" class="cf" data-role="panel" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">

                    <div class="wrap cf">
                        <div class="inner-wrap cf padding-top-0 padding-bottom-0">
                            <?php
                            wp_nav_menu(array(
                                'container' => false, // remove nav container
                                'container_class' => 'menu cf', // class of container (should you choose to use it)
                                'menu' => __('The Main Menu', 'bonestheme'), // nav name
                                'menu_class' => 'nav top-nav cf', // adding custom nav class
                                'theme_location' => 'main-nav', // where it's located in the theme
                                'before' => '', // before the menu
                                'after' => '', // after the menu
                                'link_before' => '', // before each link
                                'link_after' => '', // after each link
                                'depth' => 0, // limit the depth of the nav
                                'fallback_cb' => ''
                            ));
                            ?>
                        </div>
                    </div>

                    <span class="background background-left"></span>
                    <span class="background background-right"></span>
                </nav>

                <a href="#" class="cf" id="menuTrigger">
                    <span>Menu</span> <i class="fa fa-align-right fa-rotate-180"></i>
                </a>

            </header>

            <?php
            if (!is_front_page()) {
                if (function_exists('yoast_breadcrumb')) {
                    yoast_breadcrumb('<nav class="fil-arianne" id="breadcrumbs"><div class="wrap cf"><div class="inner-wrap cf">', '</div></div></nav>');
                }
            }
            ?>

            <?php
            $suiveur_catalogue_img = get_field('suiveur_catalogue_img', options_site());
            $suiveur_catalogue_lien = get_field('suiveur_catalogue_lien', options_site());

            echo ($suiveur_catalogue_img && $suiveur_catalogue_lien) ? '<a class="suiveur suiveur-catalogue" href="' . $suiveur_catalogue_lien . '" title="Voir nos catalogues"><img src="' . $suiveur_catalogue_img['url'] . '" alt="Voir nos catalogues" width="84" height="139" /></a>' : '';

            $suiveur_contact_img = get_field('suiveur_contact_img', options_site());
            $suiveur_contact_lien = get_field('suiveur_contact_lien', options_site());

            echo ($suiveur_contact_img && $suiveur_contact_lien) ? '<a class="suiveur suiveur-contact" href="' . $suiveur_contact_lien . '" title="Contactez-nous"><img src="' . $suiveur_contact_img['url'] . '" alt="Contactez-nous" width="84" height="134" /></a>' : '';
            ?>