function updateViewportDimensions() {
    var w = window, d = document, e = d.documentElement, g = d.getElementsByTagName('body')[0], x = w.innerWidth || e.clientWidth || g.clientWidth, y = w.innerHeight || e.clientHeight || g.clientHeight;
    return {width: x, height: y};
}
var viewport = updateViewportDimensions();

var waitForFinalEvent = (function () {
    var timers = {};
    return function (callback, ms, uniqueId) {
        if (!uniqueId) {
            uniqueId = "Don't call this twice without a uniqueId";
        }
        if (timers[uniqueId]) {
            clearTimeout(timers[uniqueId]);
        }
        timers[uniqueId] = setTimeout(callback, ms);
    };
})();

var timeToWaitForLast = 100;

function loadGravatars() {
    viewport = updateViewportDimensions();
    if (viewport.width >= 768) {
        jQuery('.comment img[data-gravatar]').each(function () {
            jQuery(this).attr('src', jQuery(this).attr('data-gravatar'));
        });
    }
}

jQuery(document).ready(function ($) {

    loadGravatars();

    /*jQuery('#menuHeader > ul > li').each(function () {
     jQuery(this).after('<span class="separator">/</span>');
     });*/

    ///////////////////////////////////////////////////////////////////
    // MENU MOBILE 
    ///////////////////////////////////////////////////////////////////
    var menuOpen = false;
    jQuery('#menuTrigger').click(function () {
        if (menuOpen === false) {
            jQuery(this).find('.fa').removeClass('fa-align-right').addClass('fa-close');
            jQuery(this).find('span').html('Fermer');
            jQuery(this).addClass('open');
            jQuery('#menuHeader').addClass('active');
            menuOpen = true;
        } else {
            jQuery(this).find('.fa').removeClass('fa-close').addClass('fa-align-right');
            jQuery(this).find('span').html('Menu');
            jQuery(this).removeClass('open');
            jQuery('#menuHeader').removeClass('active');
            menuOpen = false;
        }
        return false;
    });

    ///////////////////////////////////////////////////////////////////
    // MODALWINDOW PRODUIT ET REFERENCES
    ///////////////////////////////////////////////////////////////////
    jQuery('.fancy-trigger').fancybox({
        fitToView: true,
        autoSize: true,
        closeClick: false,
        openEffect: 'none',
        closeEffect: 'none',
        margin: 0,
        padding: '15px',
        tpl: {
            closeBtn: '<a title="Fermer" class="fancybox-item fancybox-close" href="javascript:;"><i class="fa fa-minus"></i></a>',
            next: '<a title="Suivant" class="fancybox-nav fancybox-next" href="javascript:;"><span><i class="fa fa-angle-right"></i></span></a>',
            prev: '<a title="Précédent" class="fancybox-nav fancybox-prev" href="javascript:;"><span><i class="fa fa-angle-left"></i></span></a>'
        }
    });

    ///////////////////////////////////////////////////////////////////
    // CUSTOM CHECKBOXES
    ///////////////////////////////////////////////////////////////////
    jQuery('.wpcf7-list-item-label').append('<span class="squared-checkbox"></span>');
    jQuery('.wpcf7-list-item-label').click(function () {
        if (jQuery(this).closest('.customcheckbox').find('.squared-checkbox.checked')) {
            jQuery(this).closest('.customcheckbox').find('.squared-checkbox').removeClass('checked');
            jQuery(this).find('.squared-checkbox').addClass('checked');
        } else {
            jQuery(this).find('.squared-checkbox').addClass('checked');
        }
    });


    ///////////////////////////////////////////////////////////////////
    // BLOC CUSTOM
    ///////////////////////////////////////////////////////////////////
    jQuery('.bloc-custom').each(function () {
        jQuery(this).closest('.inner').removeClass('inner');
    });

});