<?php

////////////////////////////////////////////////////////////////////
// BOOTSTRAP COLONNES SHORTCODE
////////////////////////////////////////////////////////////////////
function bootstrapRow($attributes, $content) {
    extract(shortcode_atts(array(
        "classes" => null,
        "element" => "div"
                    ), $attributes));
    $result = "<$element class=\"row shortcode-row";
    if ($classes)
        $result .= " $classes";
    $result .= "\">" . do_shortcode($content) . "</$element>";
    return $result;
}

add_shortcode("bloc", "bootstrapRow");

function bootstrapColumn($attributes, $content) {
    extract(shortcode_atts(array(
        "ordi" => null,
        "tablette" => null,
        "mobile" => null,
        "classes" => null,
        "element" => "div"
                    ), $attributes));
    $result = "<$element class=\"";
    if ($ordi) {
        $result .= " col-md-$ordi";
    }
    if ($tablette) {
        $result .= " col-sm-$tablette";
    }
    if ($mobile) {
        $result .= " col-xs-$mobile";
    }
    if ($classes)
        $result .= " $classes";
    $result .= "\">" . do_shortcode($content) . "</$element>";
    return $result;
}

add_shortcode("col", "bootstrapColumn");

////////////////////////////////////////////////////////////////////
// BOOTSTRAP COLONNES SHORTCODE
////////////////////////////////////////////////////////////////////
function panelLesOnglets($attributes, $content) {
    extract(shortcode_atts(array("classes" => null, "element" => "div"), $attributes));
    $result = '<div class="tabbable">' . do_shortcode($content) . '</div>';
    return $result;
}

add_shortcode("les_onglets", "panelLesOnglets");

function panelLesOngletsNav($attributes, $content) {
    extract(shortcode_atts(array("classes" => null, "element" => "div"), $attributes));
    $result = '<div class="tabbable-nav">' . do_shortcode($content) . '</div>';
    return $result;
}

add_shortcode("les_onglets_navigation", "panelLesOngletsNav");

function panelOnglet($attributes, $content) {
    extract(shortcode_atts(array(
        "identifiant" => null,
        "classes" => null,
        "element" => "div"
                    ), $attributes));
    $result = '<div class="tab-pane" id="';
    if ($identifiant) {
        $result .= $identifiant;
    }
    $result .= '">' . do_shortcode($content) . '</div>';
    return $result;
}

add_shortcode("onglet", "panelOnglet");

////////////////////////////////////////////////////////////////////
// IMAGE SAVOIR PLUS
////////////////////////////////////////////////////////////////////
function shortFigure($attributes, $content) {
    extract(shortcode_atts(array(
        "classes" => null,
        "element" => "div"
                    ), $attributes));
    $result = '<div class="figure">' . do_shortcode($content) . '</div>';
    return $result;
}

add_shortcode("figure", "shortFigure");

function shortFigureSavoirplus($attributes, $content) {
    extract(shortcode_atts(array(
        "classes" => null,
        "element" => "div"
                    ), $attributes));
    $result = '<div class="savoir-plus">' . do_shortcode($content) . '</div>';
    return $result;
}

add_shortcode("savoir_plus", "shortFigureSavoirplus");

////////////////////////////////////////////////////////////////////
// ICONES
////////////////////////////////////////////////////////////////////
function iconeTel($attributes, $content) {
    extract(shortcode_atts(array(
        "classes" => null,
        "element" => "i"), $attributes));
    $result = '<i class="fa fa-phone"></i> ';
    return $result;
}

add_shortcode("icone_tel", "iconeTel");

function iconeFax($attributes, $content) {
    extract(shortcode_atts(array(
        "classes" => null,
        "element" => "i"), $attributes));
    $result = '<i class="fa fa-fax"></i> ';
    return $result;
}

add_shortcode("icone_fax", "iconeFax");

////////////////////////////////////////////////////////////////////
// ICONES
////////////////////////////////////////////////////////////////////
function backgroundDiv($attributes, $content) {
    extract(shortcode_atts(array(
        "classes" => null,
        "couleur" => null,
        "element" => "div"
                    ), $attributes));
    $result = "<div class='bloc-custom bloc-$couleur'>" . do_shortcode($content) . "</div>";
    return $result;
}

add_shortcode("fond", "backgroundDiv");
?>