<?php
/*
 * CUSTOM POST TYPE TEMPLATE
 *
 * This is the custom post type post template. If you edit the post type name, you've got
 * to change the name of this template to reflect that name change.
 *
 * For Example, if your custom post type is "register_post_type( 'bookmarks')",
 * then your single template should be single-bookmarks.php
 *
 * Be aware that you should rename 'custom_cat' and 'custom_tag' to the appropiate custom
 * category and taxonomy slugs, or this template will not finish to load properly.
 *
 * For more info: http://codex.wordpress.org/Post_Type_Templates
 */
?>

<?php get_header(); ?>

<div id="content">

    <div id="inner-content" class="wrap cf">

        <main id="main" class="m-all t-2of3 d-5of7 cf" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/Blog">

            <?php
            if (have_posts()) :
                while (have_posts()) : the_post();

                    echo '<article id="post-' . get_the_ID() . '" class="ticket-item cf" role="article"><div class="wrap cf"><div class="inner-wrap cf">';

                    echo '<header class="article-header">';
                    echo '<h1>' . get_the_title() . '</h1>';
                    echo '</header>';

                    echo '<section class="entry-content cf">';
                    $ticket_date_buttoire = get_field('ticket_date_buttoire');
                    $ticket_projet = get_field('ticket_projet');
                    $ticket_description = get_field('ticket_description');

                    echo '<div class="date cf">' . $ticket_date_buttoire . '';
                    echo '<div class="projet cf">' . $ticket_projet . '';
                    echo '<div class="description cf">' . $ticket_description . '';

                    if (have_rows('ticket_documents')):
                        echo '<ul>';
                        while (have_rows('ticket_documents')) : the_row();
                            echo '<li><a href="' . get_sub_field('ticket_document')['url'] . '" target="_blank">' . get_sub_field('ticket_document')['name'] . '</a></li>';
                        endwhile;
                        echo '</ul>';
                    endif;
                    echo '</section>';

                    echo '<footer class="article-footer">';

                    echo '</footer>';

                    echo '</div></div></article>';

                endwhile;
            endif;
            ?>

        </main>

        <?php get_sidebar(); ?>

    </div>

</div>

<?php get_footer(); ?>
